package com.radiola.domain.usecase

import com.radiola.domain.model.DeeplinkService
import com.radiola.domain.model.Track
import javax.inject.Inject

class SearchTrackInServiceUseCase @Inject constructor() {
    operator fun invoke(track: Track, service: DeeplinkService): String {
        return service.buildSearchUrl(track.artist, track.song)
    }
}
